# List Jobs

Get ` https://app.mk.io/api/v1/projects/:project_name/media/jobs`

## Listing, Sorting and Filtering Jobs

This endpoint returns the list of jobs in the specified project.

### Sorting

The results from this endpoint can be ordered using the `$orderby` query parameter. Specify a list of field names, separated by commas, where each one can optionally specify `asc` or `desc`.

Sorting is valid on the following fields: `created`, `createdBy`, `id`, `name`, `properties/created`, `properties/lastModified`, `properties/state`, `updated`, `updatedBy`

### Filtering

The `$filter` query parameter allows for jobs to be filtered on the basis of fields in the schema using OData query syntax. See [this document](https://learn.microsoft.com/en-us/odata/concepts/queryoptions-overview#filter) for more details on the syntax used.

Filters are valid on the following fields: `created`, `createdBy`, `createdByEmail`, `createdByName`, `id`, `name`, `properties/created`, `properties/lastModified`, `properties/state`, `transform`, `updated`, `updatedBy`, `updatedByEmail`, `updatedByName`

### Examples:

`?$top=10` - Returns only the first 10 jobs from the list.

`?$orderby=name desc` - Sorts jobs by name in descending order.

`?$filter=name eq 'descriptive name'` - Returns jobs that match the provided name.

`?$orderby=created desc` - Sorts jobs by creation date in descending order.

`?$filter=created ge 2021-01-01T00:00:00Z` - Returns jobs created after January 1, 2021.

RBAC Capability Required: `ams.job.get`

## Authentication

Authorization Bearer

Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

project_name **string** Required

## Query parameters

$orderby **string** Optional

Specifies the key by which the result collection should be ordered.

$filter **string** Optional

Restricts the set of items returned.

$top **string** Optional

Specifies a non-negative integer `n` that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value `n`.

$skiptoken **string** Optional

Specifies a start offset to support paginated results. Use `@odata.nextLink` in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

## Response

**200** A list of all jobs

**@odata.nextLink** string Optional

@odata.nextLink URL if the page length and number of items match.

### supplemental object [ListResponseSupplementalSchema](https://docs.mediakind.com/api-reference/media-api/schemas/listresponsesupplementalschema) Required

Supplemental info

**count** integer Required

Number of items returned

**kind** string Required

Type of items in the list

**operation** string Required

Operation type. Should always say 'list'

### pagination object [PaginationInfoSchema](https://docs.mediakind.com/api-reference/media-api/schemas/paginationinfoschema) Required

Pagination info

**end** integer Required

Position of the last item in the list

**records** integer Required

Total number of items returned in the list

**start** integer Required

Position of the first item in the list

**total** integer Required

Total number of items in the project

### subscription object [ProjectInfoSchema](https://docs.mediakind.com/api-reference/media-api/schemas/projectinfoschema) Optional

Project info

**id** string Required

Project ID

**name** string Required

Project name

### value list of objects [JobSchema](https://docs.mediakind.com/api-reference/media-api/schemas/jobschema) Required

A list of Jobs

**id** string Optional

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

**name** string Optional
1-260 characters pattern: ^[^\\'<>%&:\?/*+]+$

The name of the resource

### properties object [JobProperties](https://docs.mediakind.com/api-reference/media-api/schemas/jobproperties) Required

Properties of the job

**correlationData** map from strings to any Optional

Customer provided key, value pairs that will be returned in Job and JobOutput state events.

**created** string Optional

format: date-time

The creation date and time of the Job. Set by the system.

**description** string or null Optional

The description of the Job.

**endTime** string or null Optional

The UTC date and time at which this Job finished processing

**input** object Required

The inputs of the Job.

**trigger** object [ScteTrigger](https://docs.mediakind.com/api-reference/media-api/schemas/sctetrigger) Optional

SCTE-35 signal trigger. Recording starts/stops at the first matching signal.

**filters** list of list of maps Optional

Outer array is OR-combined; each inner array is AND-combined field matchers.

**searchRange** object [ScteTriggerSearchRange](https://docs.mediakind.com/api-reference/media-api/schemas/sctetriggersearchrange) Optional

Bounds the signal search to [anchor+startOffset, anchor+endOffset]. Anchor is `time` if present, else dispatch_time (start) or resolved_start (end).

**lastModified** string Optional

format: date-time

The last modified date and time of the Job. Set by the system.

**outputs** list of objects Required

The outputs for the Job.

**recording** object or null [JobRecording](https://docs.mediakind.com/api-reference/media-api/schemas/jobrecording) Optional

Recording status. Present only for recording jobs.

### systemData object [SystemDataSchema](https://docs.mediakind.com/api-reference/media-api/schemas/systemdataschema) Optional

Metadata pertaining to creation and last modification of the resource.

**createdAt** string Required

format: date-time

The timestamp of resource creation (UTC).

**createdBy** string Required

The identity that created the resource.

**lastModifiedAt** string Required

format: date-time

The timestamp of resource last modification (UTC).

**lastModifiedBy** string Required

The identity that last modified the resource.

## Errors

**400** Bad Request

**error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

**401** Unauthorized

**error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

**403** Forbidden

**error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

**404** Not Found

**error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

**429** Too Many Requests

**error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error

**500** Internal Server Error

**error** object [ErrorDetail](https://docs.mediakind.com/api-reference/media-api/schemas/errordetail) Required

Pertinent information about the error
